MINARA

Apply report style preset

PUT /v1/report-style/preset — Apply one of the built-in report style presets while preserving the remaining density, typography, width, corner, and ac

PUT /v1/report-style/preset

Apply one of the built-in report style presets while preserving the remaining density, typography, width, corner, and accent settings.

MethodPUT
Path/v1/report-style/preset
AuthAuthorization: Bearer <token> required when GATEWAY_AUTH_TOKEN is set
Categorytheme

Request body

{ "preset": "perplexity-research" }

Response body

{ "settings": { "preset": "perplexity-research", "density": "balanced", "typeScale": "standard", "pageWidth": "standard", "cornerStyle": "soft", "accent": "graphite" }, "defaults": { "preset": "minara-fusion", "density": "balanced", "typeScale": "standard", "pageWidth": "standard", "cornerStyle": "soft", "accent": "graphite" }, "presets": [{ "id": "minara-fusion", "name": "Minara Fusion", "description": "..." }], "custom_css": "" }

On this page